[Richiesta Assistenza]Errore all’avvio: kdeinit5 si è chiuso inaspettatamente

Home Page Forum utenti Errore all’avvio: kdeinit5 si è chiuso inaspettatamente

Tag: 

Visualizzazione 20 filoni di risposte
  • Autore
    Articoli
    • #33586
      bottye
      Partecipante

      Ciao,
      è da parecchio che mi si presenta l’Err KDEInit5 ricoesivo come da img.

      Cosa posso fare?

      Graze
      E-

      • Questo argomento è stato modificato 4 mesi fa da Silvan.
      • Questo argomento è stato modificato 4 mesi fa da Silvan.
    • #33588
      Silvan
      Amministratore del forum

      Ciao,
      per individuare il problema bisognerebbe vedere lo stack trace cliccando su Informazioni per gli sviluppatori.
      Comunque probabilmente si tratta di questo bug già noto e su cui sto cercando una soluzione.

    • #33589
      bottye
      Partecipante

      Ciao, no buono:

      Impossibile…

      anche con ricarica.

    • #33591
      Silvan
      Amministratore del forum

      Ciao,
      cambia qualcosa se installi il pacchetto libqqc2-desktop-style?

      sudo dnf install libqqc2-desktop-style

      (mi riferisco al problema iniziale di questo post, non al fatto che non viene visualizzato lo stack trace).

      • Questa risposta è stata modificata 4 mesi, 1 settimana fa da Silvan.
    • #33593
      bottye
      Partecipante

      Ciao,

      sudo dnf install libqqc2-desktop-style

      Traceback (most recent call last):
        File "/usr/bin/dnf", line 57, in <module>
          from dnf.cli import main
        File "/usr/lib64/python3.7/site-packages/dnf/__init__.py", line 30, in <module>
          import dnf.base
        File "/usr/lib64/python3.7/site-packages/dnf/base.py", line 29, in <module>
          import libdnf.transaction
        File "/usr/lib64/python3.7/site-packages/libdnf/__init__.py", line 8, in <module>
          from . import error
        File "/usr/lib64/python3.7/site-packages/libdnf/error.py", line 13, in <module>
          from . import _error
      ImportError: /usr/lib64/libdnf.so.2: undefined symbol: modulemd_module_stream_v2_is_static_context

      Mi risponde questo…

    • #33594
      Silvan
      Amministratore del forum

      Il sistema non è correttamente aggiornato.
      Potrebbe essere un’installazione aggiornata nel luglio 2019 su cui si era già detto in questo forum che a causa di un errore nell’aggiornamento del database rpm, la perdita di alcuni pacchetti nel database avrebbe comportato problemi futuri, oppure l’aggiornamento potrebbe essere stato interrotto durante l’attuazione per cause accidentali come lo spegnimento del PC.

      Una possibilità per le cause di cui sopra è che il pacchetto libmodulemd non sia aggiornato e potrebbe essere possibile risolvere con il seguente comando:
      sudo rpm -U http://cdn.openmamba.org/pub/openmamba/devel/RPMS.x86_64/libmodulemd-2.12.0-1mamba.x86_64.rpm

      Altrimenti bisognerebbe farsi un’idea dello stato dell’installazione dei pacchetti relativi a dnf che ne causano l’errore di cui sopra conoscendo l’output del comando seguente:
      rpm -q dnf libdnf libmodulemd

    • #33600
      bottye
      Partecipante

      Ciao, ho testato per qualche giorno ma non è stato risolutivo il primo comando.

      Qui, l’esito del secondo

      rpm -q dnf libdnf libmodulemd
      dnf-4.6.0-1mamba.x86_64
      libdnf-0.58.0-1mamba.x86_64
      libmodulemd-2.12.0-1mamba.x86_64

      Grazie
      E-

    • #33601
      Silvan
      Amministratore del forum

      Ciao,
      anche se le operazioni fatte come suggerite non siano state risolutive, l’unica ipotesi che posso fare sullo stato attuale è che il messaggio di errore riscontrato sia ora differente pertanto invito nel caso a riportarlo qui.

    • #33605
      bottye
      Partecipante

      Ciao

      Eseguibile: kdeinit5 PID: 16998 Segnale: Segmentation fault (11) Ora: 13/02/21 21:09:07 CET

      +img

      Grazie
      E.

    • #33607
      Silvan
      Amministratore del forum

      Rimando alle risposte #33591 e #33594.

    • #33609
      bottye
      Partecipante

      Ciao,

      sudo dnf install libqqc2-desktop-style

      risponde:

      Ultima verifica della scadenza dei metadati: 1:02:24 fa il lun 15 feb 2021, 21:43:12.
      Package libqqc2-desktop-style-5.78.0-1mamba.x86_64 is already installed.
      Dipendenze risolte.
      Nessuna operazione da compiere.
      Fatto!

      sudo rpm -U http://cdn.openmamba.org/pub/openmamba/devel/RPMS.x86_64/libmodulemd-2.12.0-1mamba.x86_64.rpm
      risponde:

      sudo rpm -U http://cdn.openmamba.org/pub/openmamba/devel/RPMS.x86_64/libmodulemd-2.12.0-1mamba.x86_64.rpm

      Grazie
      E-

    • #33616
      Silvan
      Amministratore del forum

      Ciao,
      adesso che si è chiarito che il comando dnf ha ripreso a funzionare si può possono provare ad effettuare dei passaggi per riuscire a generare il backtrace (Informaziooni per gli sviluppatori).
      Innanzitutto sarebbe da verificare se gdb risulti installato, provando ad installarlo:
      sudo dnf install gdb

      Se il comando ha successo, nel senso che gdb viene installato, ovvero che prima non risultava installato, si potrebbe verificare nella finestra del crash di kdeinit5 se questa volta compaiono delle informazioni, che in tal caso sarebbe utile riportare qui.

      Un altro comando utile per cercare di trovare delle incongruenze del sistema che come presunto precedentemente risalgono al 2019, è il comando:

      sudo dnf check

      Anche il risultato di questo comando potrebbe contenere informazioni utili da interpretare autonomamente o riportare qui al fine di correggere alcune, ma verosimilmente non tutte, le problematiche del sistema.

    • #33617
      bottye
      Partecipante

      Ciao

      sudo dnf install gdb
      Ultima verifica della scadenza dei metadati: 23:25:03 fa il lun 15 feb 2021, 21:43:12.
      Package gdb-10.1-1mamba.x86_64 is already installed.
      Dipendenze risolte.
      Nessuna operazione da compiere.
      Fatto!

      e

      sudo dnf check
      kernel-mamba-x86_64-headers-4.19.114-1mamba.x86_64 è un duplicato di kernel-mamba-x86_64-headers-5.4.53-1mamba.x86_64
      kernel-mamba-x86_64-headers-4.19.114-1mamba.x86_64 è un duplicato di kernel-mamba-x86_64-headers-5.4.77-1mamba.x86_64
      Errore: Check discovered 2 problem(s)

      Grazie
      E-

      • Questa risposta è stata modificata 4 mesi fa da bottye.
    • #33619
      Silvan
      Amministratore del forum

      Ciao,
      quando si verifica il crash di kdeinit5?
      1) all’avvio
      2) dopo l’avvio senza fare nulla di specifico
      3) quando fai un’azione specifica
      4) altro, specificare

      Se da un terminale digiti ed esegui il comando kdeinit5 si verifica il crash?

    • #33620
      bottye
      Partecipante

      Ciao,

      direi la 2, appena avviato-in avvio del desktop.

      Lanciando kdeinit5 ottengo:

      kdeinit5
      kdeinit5: Shutting down running client.
      Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)

      A parte il messaggio ‘strano’ sopra, nessun crash.

      Grazie
      E-

    • #33622
      Silvan
      Amministratore del forum

      Ciao,
      potrebbero esserci informazioni utili nel journal della sessione utente.
      Questo può essere generato in questo modo:
      1) avvio del computer
      2) attesa per il verificarsi del crash di kdeinit5
      3) apertura di una finestra di terminale (konsole)
      4) digitare il comando:
      journalctl -b > journal.txt
      5) inviare il file generato journal.txt allegandolo a questa discussione o usando la pagina per l’invio di report presente su questo sito.

    • #33623
      bottye
      Partecipante

      Ciao,
      ecco…
      journalctl -b > journal_01.txt
      Hint: You are currently not seeing messages from other users and the system.
      Users in groups ‘adm’, ‘systemd-journal’, ‘wheel’ can see all messages.
      Pass -q to turn off this notice.
      [bottye@BEAMPC ~]$ sudo journalctl -b > journal_01.txt

      file:…journal_01.txt

      Ho aggiunto sudo, non so se sia corretto/varii qualcosa nel report…

      Grazie

      E-

      Attachments:
    • #33625
      Silvan
      Amministratore del forum

      Ciao,
      il crash di kdeinit5 potrebbe essere riferito a questo messaggio di errore:
      kernel: traps: thumbnail.so[10249] trap int3 ip:7f844b3a4b21 sp:7ffde9185430 error:0 in libQt5WebEngineCore.so.5.15.2[7f844938b000+5fbd000]

      Il problema potrebbe dipendere dalle accelerazioni del driver video, per cui controllerei la configurazione del Compositore degli effetti del desktop provando ad abilitare gli effetti se sono stati disabilitati (o viceversa), cosa che avviene automaticamente nel caso in cui l’ambiente rilevi dei crash a livello di hardware video. Proverei qui diverse impostazioni, ma potrebbe anche non c’entrare nulla con il problema.

      Nel caso in cui il problema possa dipendere invece da componenti del sistema non aggiornati sarebbe utile vedere l’output dei seguenti comandi (da copiare e incollare precisamente in una finestra di terminale):

      rpm -qf /usr/lib64/qt5/plugins/kf5/kio/thumbnail.so

      rpm -qf $(ldd /usr/lib64/qt5/plugins/kf5/kio/thumbnail.so | awk '{ print $3 }')

      • Questa risposta è stata modificata 3 mesi, 2 settimane fa da Silvan.
      • Questa risposta è stata modificata 3 mesi, 2 settimane fa da Silvan.
      • Questa risposta è stata modificata 3 mesi, 2 settimane fa da Silvan.
      • Questa risposta è stata modificata 3 mesi, 2 settimane fa da Silvan.
    • #33638
      bottye
      Partecipante

      Ciao,

      ho provato un po di combinazioni del Compositore, anche disattivando gli effetti ma nulla

      L’esito dei 2 comandi suggeriti:

      rpm -qf /usr/lib64/qt5/plugins/kf5/kio/thumbnail.so
      libkio-extras-20.12.2-1mamba.x86_64

      rpm -qfldd /usr/lib64/qt5/plugins/kf5/kio/thumbnail.so | awk ‘{ print $3 }’`
      >

      Il secondo comando da come esito come un prompt: >

      Grazie
      E-

    • #33645
      bottye
      Partecipante

      Ciao.

      Ho visto la modifica del secondo comando…

      Ha restituito questo:

      rpm -qf $(ldd /usr/lib64/qt5/plugins/kf5/kio/thumbnail.so | awk ‘{ print $3 }’)
      libkio-5.79.0-1mamba.x86_64
      libsolid-5.79.0-1mamba.x86_64
      libkiconthemes-5.79.0-1mamba.x86_64
      libkio-5.79.0-1mamba.x86_64
      libkio-5.79.0-1mamba.x86_64
      libkservice-5.79.0-1mamba.x86_64
      libQt5Network-5.15.2-1mamba.x86_64
      libQt5Concurrent-5.15.2-1mamba.x86_64
      libkjobwidgets-5.79.0-1mamba.x86_64
      libkcompletion-5.79.0-1mamba.x86_64
      libkwindowsystem-5.79.0-1mamba.x86_64
      libki18n-5.79.0-1mamba.x86_64
      libkwidgetsaddons-5.79.0-1mamba.x86_64
      libkconfig-5.79.0-1mamba.x86_64
      libQt5Widgets-5.15.2-1mamba.x86_64
      libkcoreaddons-5.79.0-1mamba.x86_64
      libQt5DBus-5.15.2-1mamba.x86_64
      libQt5Gui-5.15.2-1mamba.x86_64
      libQt5Core-5.15.2-1mamba.x86_64
      libstdc++6-10.2.0-1mamba.x86_64
      glibc-2.33-1mamba.x86_64
      libgcc-10.2.0-1mamba.x86_64
      glibc-2.33-1mamba.x86_64
      libkconfigwidgets-5.79.0-1mamba.x86_64
      libacl-2.2.53-1mamba.x86_64
      libattr-2.4.48-1mamba.x86_64
      libkcodecs-5.79.0-1mamba.x86_64
      libkconfig-5.79.0-1mamba.x86_64
      libQt5Xml-5.15.2-1mamba.x86_64
      libkauth-5.79.0-1mamba.x86_64
      libkauth-5.79.0-1mamba.x86_64
      libudev-247-2mamba.x86_64
      libimobiledevice-1.3.0-1mamba.x86_64
      libplist-2.2.0-1mamba.x86_64
      libQt5Svg-5.15.2-1mamba.x86_64
      libkarchive-5.79.0-1mamba.x86_64
      libkitemviews-5.79.0-1mamba.x86_64
      libkcrash-5.79.0-1mamba.x86_64
      libkdbusaddons-5.79.0-1mamba.x86_64
      glibc-2.33-1mamba.x86_64
      libz-1.2.11-4mamba.x86_64
      glibc-2.33-1mamba.x86_64
      libkrb5-1.19.1-1mamba.x86_64
      libopenssl-1.1.1j-1mamba.x86_64
      libopenssl-1.1.1j-1mamba.x86_64
      libQt5X11Extras-5.15.2-1mamba.x86_64
      libSM-1.2.3-1mamba.x86_64
      libICE-1.0.10-1mamba.x86_64
      libX11-1.7.0-1mamba.x86_64
      libXext-1.3.4-2mamba.x86_64
      libXfixes-5.0.3-1mamba.x86_64
      libXrender-0.9.10-1mamba.x86_64
      libxcb-1.14-1mamba.x86_64
      libxcb-keysyms-0.4.0-1mamba.x86_64
      il file /usr/lib64/libGL.so.1 non è posseduto da alcun pacchetto
      libgamin-0.1.10-6mamba.x86_64
      libdbus-1.13.8-4mamba.x86_64
      libpng-1.6.37-2mamba.x86_64
      libharfbuzz-2.7.4-1mamba.x86_64
      libsystemd-247-2mamba.x86_64
      libdouble-conversion-3.1.5-1mamba.x86_64
      libicu67-67.1-3mamba.x86_64
      libicu67-67.1-3mamba.x86_64
      libicu67-67.1-3mamba.x86_64
      libzstd-1.4.8-1mamba.x86_64
      libglib-2.66.7-1mamba.x86_64
      libglib-2.66.7-1mamba.x86_64
      libkguiaddons-5.79.0-1mamba.x86_64
      glibc-2.33-1mamba.x86_64
      libselinux-3.1-2mamba.x86_64
      libusbmuxd-2.0.2-1mamba.x86_64
      libbzip2-1.0.8-2mamba.x86_64
      liblzma-5.2.5-1mamba.x86_64
      libkrb5-1.19.1-1mamba.x86_64
      libkrb5-1.19.1-1mamba.x86_64
      libe2fs-1.46.2-1mamba.x86_64
      libkrb5-1.19.1-1mamba.x86_64
      libkeyutils-1.6.3-1mamba.x86_64
      glibc-2.33-1mamba.x86_64
      libuuid-2.36.2-1mamba.x86_64
      libbsd-0.10.0-1mamba.x86_64
      libXau-1.0.9-1mamba.x86_64
      libXdmcp-1.1.3-1mamba.x86_64
      xorg-drv-video-nvidia_340-340.108-3mamba.x86_64
      xorg-drv-video-nvidia_340-340.108-3mamba.x86_64
      libfreetype-2.10.4-2mamba.x86_64
      libgraphite2-1.3.14-1mamba.x86_64
      liblz4-1.9.3-1mamba.x86_64
      libcap-2.48-1mamba.x86_64
      libgcrypt-1.9.2-1mamba.x86_64
      libpcre-8.44-2mamba.x86_64
      libQt5WaylandClient-5.15.2-1mamba.x86_64
      libwayland-1.19.0-1mamba.x86_64
      libbrotli-1.0.9-2mamba.x86_64
      libbrotli-1.0.9-2mamba.x86_64
      libgpg-error-1.41-1mamba.x86_64
      libwayland-1.19.0-1mamba.x86_64
      libfontconfig-2.13.91-2mamba.x86_64
      libxkbcommon-1.0.3-1mamba.x86_64
      libffi-3.3-2mamba.x86_64
      libexpat-2.2.10-1mamba.x86_64

      Grazie
      E-

    • #33646
      Silvan
      Amministratore del forum

      Ciao,
      i componenti sembrano correttamente aggiornati.

      Il problema sembrerebbe essere analogo a quello descritto in questo bug su bugs.kde.org. Puoi provare dalle preferenze di Dolphin a disabilitare le anteprime per vari tipi di file grafici (nel bug si parla di File DjVu ma potrebbe essere altro) finché non si trova il tipo di file ed eventualmente il file che hai nella tua home che manda in crash thumbnail.so. Nel journal c’è anche un riferimento ad un file /home/bottye/Downloads/YouTube.mp4 ma non credo che sia rilevante rispetto al problema in thumbnail.so (per i file audio lavora il plugin audiothumbnail.so).

      Un’altra strada è di riuscire ad ottenere lo stacktrace, come da inizio di questa discussione, che probabilmente non viene generato perché la scrittura dei crash dump è disabilitata nel sistema (ulimit -c è impostato a 0), ma al momento mi è complicato spiegare come modificare il file /etc/security/limits.conf per impostare ad unlimited la dimensione dei file di core.

Visualizzazione 20 filoni di risposte
  • Devi aver eseguito l’accesso per poter rispondere a questa discussione.